.486
.model flat, stdcall
option casemap: none

; API functions
; ************************************
include \masm32\include\windows.inc
include \masm32\include\user32.inc
include \masm32\include\kernel32.inc
include \masm32\include\gdi32.inc 
include \masm32\include\comctl32.inc
include \masm32\include\masm32.inc

includelib \masm32\lib\user32.lib
includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\gdi32.lib 
includelib \masm32\lib\comctl32.lib
includelib \masm32\lib\masm32.lib
; ************************************

; Prototype 
; ************************************
DialogProc PROTO : HWND, : UINT, : WPARAM, : LPARAM


.const

; Resource ids
; ************************************
IDD_DLG1  	  equ 101
IDI_ICON      equ 200
IDC_EXIT      equ 102
IDC_STC1      equ 150
; ************************************



; Required data

.data
szTitle       TCHAR "Transparent window", 0

Transparency		dd 0
TransColor			COLORREF	00FF0000h ; "0FFFFFFFh" is black "00FFFFFFh" is white

.data?

hInstance HINSTANCE ?
hIcon     HICON     ?
hBrush1				dd ?
.code

start:

invoke GetModuleHandle, NULL
mov hInstance, eax

invoke LoadIcon, eax, IDI_ICON 
mov hIcon, eax
; ************************************
;   Call the dialog box stored in resource file
; ************************************
invoke DialogBoxParam, hInstance, IDD_DLG1 , NULL, ADDR DialogProc, 0
invoke ExitProcess, 0


; Dialog procedure
; ************************************
DialogProc proc hWnd: HWND, uMsg: UINT, wParam: WPARAM, lParam: LPARAM

 .if uMsg == WM_INITDIALOG

invoke SetWindowText, hWnd, addr szTitle 
invoke SendMessage, hWnd, WM_SETICON,ICON_SMALL, hIcon

invoke GetWindowLong,hWnd,GWL_EXSTYLE 
or eax,WS_EX_LAYERED 
invoke SetWindowLong,hWnd,GWL_EXSTYLE,eax
invoke SetLayeredWindowAttributes,hWnd,TransColor,175,2; change the number 175 from 0-255 for transperancey level :) ;Set this parameter to 0 to make a window completely transparent or 255 to make it opaque. 


    .elseif uMsg == WM_COMMAND

.elseif uMsg==WM_CTLCOLORSTATIC
invoke GetWindowLong,lParam,GWL_ID
.if eax==IDC_STC1  		
.if hBrush1
invoke DeleteObject,hBrush1
.endif
invoke CreateSolidBrush,00FFFFFFh
mov		hBrush1,eax
ret
.endif
.elseif uMsg == WM_CLOSE
invoke EndDialog, hWnd, 0
 .endif
.if wParam == IDC_EXIT 
invoke SendMessage, hWnd, WM_CLOSE, 0, 0
.endif

    xor eax,eax
  ret
DialogProc endp

end start