.486
.model flat, stdcall
option casemap: none

; API functions
; ************************************
include \masm32\include\windows.inc
include \masm32\include\user32.inc
include \masm32\include\kernel32.inc
include \masm32\include\gdi32.inc 
include \masm32\include\comctl32.inc
include \masm32\include\masm32.inc

includelib \masm32\lib\user32.lib
includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\gdi32.lib 
includelib \masm32\lib\comctl32.lib
includelib \masm32\lib\masm32.lib
; ************************************

; Prototype 
; ************************************
DialogProc    PROTO : HWND, : UINT, : WPARAM, : LPARAM
TranspWindow  PROTO : DWORD,:BYTE

.const

; Resource ids
; ************************************
IDD_DLG1  	  equ 101
IDI_ICON      equ 200
IDC_EXIT      equ 102
IDC_STC1      equ 150
; ************************************



; Required data
; ************************************
.data
szTitle       TCHAR "Transparent window 2", 0


Transparency		dd 0

.data?

hInstance HINSTANCE ?
hIcon     HICON     ?
hBrush1				dd ?
.code

start:
invoke GetModuleHandle, NULL
mov hInstance, eax

invoke LoadIcon, eax, IDI_ICON 
mov hIcon, eax
; ************************************
;   Call the dialog box stored in resource file
; ************************************
invoke DialogBoxParam, hInstance, IDD_DLG1 , NULL, ADDR DialogProc, 0
invoke ExitProcess, 0


; Dialog procedure
; ************************************
DialogProc proc hWnd: HWND, uMsg: UINT, wParam: WPARAM, lParam: LPARAM

 .if uMsg == WM_INITDIALOG

invoke SetWindowText, hWnd, addr szTitle 
invoke SendMessage, hWnd, WM_SETICON,ICON_SMALL, hIcon
 INVOKE TranspWindow,hWnd,200 ; creats transperntcy
    .elseif uMsg == WM_COMMAND

.elseif uMsg==WM_CTLCOLORSTATIC
invoke GetWindowLong,lParam,GWL_ID
.if eax==IDC_STC1  		
.if hBrush1
invoke DeleteObject,hBrush1
.endif
invoke CreateSolidBrush,00FFFFFFh
mov		hBrush1,eax
ret
.endif
.elseif uMsg == WM_CLOSE
invoke EndDialog, hWnd, 0
 .endif
.if wParam == IDC_EXIT 
invoke SendMessage, hWnd, WM_CLOSE, 0, 0
.endif

    xor eax,eax
  ret
DialogProc endp
; TranspWindow procedure
; ************************************
TranspWindow proc hWnd :DWORD, Tnsp:BYTE
		
.data
		Tfunc		db "SetLayeredWindowAttributes",0
		libname 	db "user32.dll",0
.code
		
		push	0FFFFFFECh
		push	hWnd
		call	GetWindowLong
		or	eax, 80000h
		push	eax
		push	0FFFFFFECh
		push	hWnd
		call	SetWindowLong
		test	eax, eax
		jnz	short Do_Tns
		ret
		
		
Do_Tns:
		invoke LoadLibrary,addr libname
		invoke GetProcAddress,eax,addr Tfunc
		.if eax == 0
			ret
		.endif
		mov edx,eax
		
		xor ebx,ebx
		mov bl,Tnsp
		
		push	2
		push	ebx
		push	0
		push	hWnd
		call	edx
		ret
		
TranspWindow endp
end start